Subject: Re: Soft lock-ups caused by iptables

From: Pablo Neira Ayuso <[email-masked]>
Date: Thu, 20 Nov 2025 00:14:46 +0100

On Wed, Nov 19, 2025 at 02:29:40PM -0800, Hamza Mahfooz wrote:
> On Wed, Nov 19, 2025 at 03:49:57PM +0100, Phil Sutter wrote:
> > Nftables ruleset validation code was refactored in v6.10 with commit
> > cff3bd012a95 ("netfilter: nf_tables: prefer nft_chain_validate"). This
> > is also present in v5.15.184, so in order to estimate whether a bug is
> > "new" or "old", better really use old kernels not recent minor releases
> > of old major ones. :)
> 
> FWIW I tried to repro this on v6.6.45 as well and it also suffers from
> this issue.

This example ruleset does not restore, it is missing ipsets.